﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Paw_park.Models
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    
    public partial class PatrullEntities : DbContext
    {
        public PatrullEntities()
            : base("name=PatrullEntities")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<AspNetRole> AspNetRoles { get; set; }
        public virtual DbSet<AspNetUser> AspNetUsers { get; set; }
        public virtual DbSet<Booking> Bookings { get; set; }
        public virtual DbSet<Comment> Comments { get; set; }
        public virtual DbSet<Dog> Dogs { get; set; }
        public virtual DbSet<Equipment> Equipments { get; set; }
        public virtual DbSet<Park> Parks { get; set; }
        public virtual DbSet<Person> People { get; set; }
        public virtual DbSet<DataFile> DataFiles { get; set; }
    }
}
